build: Do not define logging.h constants for libgpg-error dev versions.
authorWerner Koch <wk@gnupg.org>
Thu, 7 Dec 2017 13:53:49 +0000 (14:53 +0100)
committerWerner Koch <wk@gnupg.org>
Thu, 7 Dec 2017 13:53:49 +0000 (14:53 +0100)
commit2fedf8583bcc493f587c90bc9632d25dfd10bd10
tree518b5eb765cd8b26de7b6ab84ea28a1b720392d6
parentb9677ba16f6b386896781a751e4b2fc839e3ec81
build: Do not define logging.h constants for libgpg-error dev versions.

* common/logging.h [GPGRT_LOG_WITH_PREFIX]: Do not define the log
constants.
--

logging.h uses constants we plan to use for future versions of
libgpg-error.  My dev version already has the logging functions and
thus I run into a conflict.  This patch protects against this and make
the GnuPG work with later libgpg-error versions.

It was not the best idea to use constants from a planned libgpg-error
in the first place.  The actual problem are the enums, the macros
won't harm.

Signed-off-by: Werner Koch <wk@gnupg.org>
common/logging.h